using System;

namespace Cogwheel;

/// <summary>
/// Attribute for marking methods as commands
/// </summary>
[AttributeUsage(AttributeTargets.Method, AllowMultiple = true)]
public class CommandAttribute : Attribute
{
    /// <summary>
    /// Optional name of the command, if not provided the method name will be used
    /// </summary>
    public string? Name = "";
    
    /// <summary>
    /// Optional description of the command
    /// </summary>
    public string Description = "";
}