using System.Reflection;

namespace Cogwheel;

/// <summary>
/// Represents a command in the Cogwheel system.
/// </summary>
public interface ICommand
{
    /// <summary>
    /// Gets the name of the command.
    /// </summary>
    public string Name { get; }

    /// <summary>
    /// Gets the description of the command.
    /// </summary>
    public string Description { get; }

    /// <summary>
    /// Gets the method associated with the command.
    /// </summary>
    public MethodBase Method { get; }
}